=== modified file 'source/IAccessibleHandler.py'
--- source/IAccessibleHandler.py	2013-02-14 08:49:17 +0000
+++ source/IAccessibleHandler.py	2013-03-16 09:13:04 +0000
@@ -931,7 +931,7 @@
 	except:
 		return text
 	textList=[]
-	for i in range(len(text)):
+	for i in xrange(len(text)):
 		t=text[i]
 		if ord(t)==0xFFFC:
 			try:

=== modified file 'source/NVDAObjects/IAccessible/__init__.py'
--- source/NVDAObjects/IAccessible/__init__.py	2013-02-14 10:10:59 +0000
+++ source/NVDAObjects/IAccessible/__init__.py	2013-03-16 09:31:55 +0000
@@ -172,7 +172,7 @@
 		return [min(start,end),max(start,end)]
 
 	def _setSelectionOffsets(self,start,end):
-		for selIndex in range(self.obj.IAccessibleTextObject.NSelections):
+		for selIndex in xrange(self.obj.IAccessibleTextObject.NSelections):
 			self.obj.IAccessibleTextObject.RemoveSelection(selIndex)
 		self.obj.IAccessibleTextObject.AddSelection(start,end)
 

=== modified file 'source/NVDAObjects/JAB/__init__.py'
--- source/NVDAObjects/JAB/__init__.py	2012-05-01 09:37:05 +0000
+++ source/NVDAObjects/JAB/__init__.py	2013-03-16 09:33:57 +0000
@@ -351,7 +351,7 @@
 
 	def _get_children(self):
 		children=[]
-		for index in range(self._JABAccContextInfo.childrenCount):
+		for index in xrange(self._JABAccContextInfo.childrenCount):
 			jabContext=self.jabContext.getAccessibleChildFromContext(index)
 			if jabContext:
 				children.append(JAB(jabContext=jabContext))

=== modified file 'source/NVDAObjects/window/edit.py'
--- source/NVDAObjects/window/edit.py	2012-07-20 03:45:25 +0000
+++ source/NVDAObjects/window/edit.py	2013-03-20 17:40:03 +0000
@@ -602,7 +602,7 @@
 			return u'*'*len(bufText)
 		newTextList=[]
 		start=rangeObj.start
-		for offset in range(len(bufText)):
+		for offset in xrange(len(bufText)):
 			if ord(bufText[offset])==0xfffc:
 				if embedRangeObj is None: embedRangeObj=rangeObj.duplicate
 				embedRangeObj.setRange(start+offset,start+offset+1)

=== modified file 'source/appModules/miranda32.py'
--- source/appModules/miranda32.py	2013-02-15 21:23:36 +0000
+++ source/appModules/miranda32.py	2013-03-16 09:33:10 +0000
@@ -224,7 +224,7 @@
 				tc=None
 			if tc and tc.role==controlTypes.ROLE_TABCONTROL:
 				children=tc.children
-				for index in range(len(children)):
+				for index in xrange(len(children)):
 					if (children[index].role==controlTypes.ROLE_TAB) and (controlTypes.STATE_SELECTED in children[index].states):
 						name=children[index].name
 						break

=== modified file 'source/brailleDisplayDrivers/lilli.py'
--- source/brailleDisplayDrivers/lilli.py	2012-01-18 21:39:22 +0000
+++ source/brailleDisplayDrivers/lilli.py	2013-03-16 09:31:16 +0000
@@ -50,7 +50,7 @@
 	def  __init__(self):
 		global lilliCellsMap
 		super(BrailleDisplayDriver, self).__init__()
-		lilliCellsMap=[convertLilliCells(x) for x in range(256)]
+		lilliCellsMap=[convertLilliCells(x) for x in xrange(256)]
 		if (lilliDll.Init408USB()):
 			self._keyCheckTimer = wx.PyTimer(self._handleKeyPresses)
 			self._keyCheckTimer.Start(KEY_CHECK_INTERVAL)

=== modified file 'source/queueHandler.py'
--- source/queueHandler.py	2011-02-04 05:39:07 +0000
+++ source/queueHandler.py	2013-03-16 09:13:37 +0000
@@ -39,7 +39,7 @@
 	log.debug("generators running: %s"%res)
 
 def flushQueue(queue):
-	for count in range(queue.qsize()+1):
+	for count in xrange(queue.qsize()+1):
 		if not queue.empty():
 			(func,args,kwargs)=queue.get_nowait()
 			watchdog.alive()

